Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class SessionMode

    java.lang.Object
      oracle.ifs.common.SessionMode

    public final class SessionMode

extends java.lang.Object

A SessionMode encapsulates the execution settings for a session, as used in `SessionUtilities.pushCustomMode` and `SessionUtilities.popCustomMode`.

A SessionMode can represent execution mode settings for any or all of the following:

- LibrarySession Execution mode.
- Disabling of access checks.
- Disabling of type/configuration capability checks.
- Disabling of lock checks.

Field Summary
`static SessionMode` | `ADMIN_IGNORE_ACCESS_CAPOVERRIDES` Session mode for enabling LibrarySession Administration mode, with ignoring of access checks and capability override checks.
`static SessionMode` | `ADMIN_IGNORE_ALL` Session mode for enabling LibrarySession Administration mode, with ignoring all checks (access checks, lock checks, and capability override checks).
`static SessionMode` | `DISCOVERALL` Session mode for enabling LibrarySession AdministrationDiscover mode.
`static SessionMode` | `IGNORE_ACCESS_CAPOVERRIDES` Session mode for ignoring of access checks and capability override checks.
`static SessionMode` | `INSTALLADMIN_IGNORE_ALL` Session mode for enabling LibrarySession install Administration mode, with ignoring all checks (access checks, lock checks, and capability override checks).
`static SessionMode` | `SYSTEMADMIN_IGNORE_ACCESS_CAPOVERRIDES` Session mode for enabling LibrarySession System Administration mode, with ignoring of access checks and capability override checks.
`static SessionMode` | `SYSTEMADMIN_IGNORE_ALL` Session mode for enabling LibrarySession System Administration mode, with ignoring all checks (access checks, lock checks, and capability override checks).

Constructor Summary
`SessionMode(java.lang.Integer execMode, boolean ignoreAccess, boolean ignoreCapability, boolean ignoreLock)` Construct a SessionMode.

Method Summary
`int` | `getApplicationMode()` Returns the combined Application mode.
`java.lang.Integer` | `getExecutionMode()` Gets the desired LibrarySession execution mode.
`boolean` | `isAccessCheckIgnored()` Returns true if access checks are to be ignored.
`boolean` | `isCapabilityCheckIgnored()` Returns true if type/configuration capability checks should be ignored
`boolean` | `isLockCheckIgnored()` Returns true if lock checks are to be ignored.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DISCOVERALL

    public static final SessionMode DISCOVERALL

  Description copied from class: `SessionMode`
  Session mode for enabling LibrarySession AdministrationDiscover mode.

### ADMIN_IGNORE_ACCESS_CAPOVERRIDES

    public static final SessionMode ADMIN_IGNORE_ACCESS_CAPOVERRIDES

  Description copied from class: `SessionMode`
  Session mode for enabling LibrarySession Administration mode, with ignoring of access checks and capability override checks.

### IGNORE_ACCESS_CAPOVERRIDES

    public static final SessionMode IGNORE_ACCESS_CAPOVERRIDES

  Description copied from class: `SessionMode`
  Session mode for ignoring of access checks and capability override checks.

### ADMIN_IGNORE_ALL

    public static final SessionMode ADMIN_IGNORE_ALL

  Description copied from class: `SessionMode`
  Session mode for enabling LibrarySession Administration mode, with ignoring all checks (access checks, lock checks, and capability override checks).

### SYSTEMADMIN_IGNORE_ACCESS_CAPOVERRIDES

    public static final SessionMode SYSTEMADMIN_IGNORE_ACCESS_CAPOVERRIDES

  Description copied from class: `SessionMode`
  Session mode for enabling LibrarySession System Administration mode, with ignoring of access checks and capability override checks.

### SYSTEMADMIN_IGNORE_ALL

    public static final SessionMode SYSTEMADMIN_IGNORE_ALL

  Description copied from class: `SessionMode`
  Session mode for enabling LibrarySession System Administration mode, with ignoring all checks (access checks, lock checks, and capability override checks).

### INSTALLADMIN_IGNORE_ALL

    public static final SessionMode INSTALLADMIN_IGNORE_ALL

  Description copied from class: `SessionMode`
  Session mode for enabling LibrarySession install Administration mode, with ignoring all checks (access checks, lock checks, and capability override checks).

Constructor Detail

### SessionMode

    public SessionMode(java.lang.Integer execMode,
                       boolean ignoreAccess,
                       boolean ignoreCapability,
                       boolean ignoreLock)

  Construct a SessionMode.

  Parameters:
    `execMode` - desired LibrarySession execution mode; null if no special execution mode is desired
    `ignoreAccess` - whether access checks should be ignored
    `ignoreCapability` - whether type/configuration capability checks should be ignored
    `ignoreLock` - whether lock checks should be ignored

Method Detail

### getExecutionMode

    public final java.lang.Integer getExecutionMode()

  Description copied from class: `SessionMode`
  Gets the desired LibrarySession execution mode.

  Returns null if no special execution mode is desired.

  Returns:
    the desired LibrarySession execution mode.

### isAccessCheckIgnored

    public final boolean isAccessCheckIgnored()

  Description copied from class: `SessionMode`
  Returns true if access checks are to be ignored.

  Returns:
    true if access checks are to be ignored; false otherwise

### isCapabilityCheckIgnored

    public final boolean isCapabilityCheckIgnored()

  Description copied from class: `SessionMode`
  Returns true if type/configuration capability checks should be ignored

  Returns:
    true if type/configuration capability checks should be ignored; false otherwise

### isLockCheckIgnored

    public final boolean isLockCheckIgnored()

  Description copied from class: `SessionMode`
  Returns true if lock checks are to be ignored.

  Returns:
    true if lock checks are to be ignored; false otherwise

### getApplicationMode

    public final int getApplicationMode()

  Description copied from class: `SessionMode`
  Returns the combined Application mode.

  Returns:
    the application mode (combining the settings)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD